summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorBrian Mattern <rephorm@rephorm.com>2012-09-12 22:25:20 -0700
committerJason A. Donenfeld <Jason@zx2c4.com>2012-09-13 08:04:17 +0200
commit69b811e0f34a2f57329e5cdfebcd16c210f24458 (patch)
treed0e02addf655f3ff1c7e7a5521ebd7a79723fc39 /src
parent36a453ed91407dec1bb2215e0a871d23c0645305 (diff)
downloadpass-69b811e0f34a2f57329e5cdfebcd16c210f24458.tar.gz
pass-69b811e0f34a2f57329e5cdfebcd16c210f24458.tar.bz2
pass-69b811e0f34a2f57329e5cdfebcd16c210f24458.zip
use gpg --batch for quieter output
Right now, every time I call pass to decrypt a key, I get output like: You need a passphrase to unlock the secret key for user: "User Name <user@domain.com>" 2048-bit ELG-E key, ID XXXXXXNX, created 2012-04-20 (main key ID NNXXNNNX) password This patch cleans it up so that only the password is output. I use pinentry-gtk-2 to enter the gpg passphrase, so this information is redundant to me. I haven't tried other pinentry versions to see if they repeat the information as well.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 6771ab2..db6f4ee 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -160,9 +160,9 @@ case "$command" in
exit 1
fi
if [ $clip -eq 0 ]; then
- exec gpg -q -d --yes "$passfile"
+ exec gpg -q -d --yes --batch "$passfile"
else
- clip "$(gpg -q -d --yes "$passfile" | head -n 1)" "$path"
+ clip "$(gpg -q -d --yes --batch "$passfile" | head -n 1)" "$path"
fi
fi
;;
@@ -248,7 +248,7 @@ case "$command" in
action="Added"
if [[ -f $passfile ]]; then
- gpg -q -d -o "$tmp_file" --yes "$passfile" || exit 1
+ gpg -q -d -o "$tmp_file" --yes --batch "$passfile" || exit 1
action="Edited"
fi
${EDITOR:-vi} "$tmp_file"
span class='insertions'>+1 2011-10-14Switch from openoffice alias to libreoffice (ooffice -> soffice)René 'Necoro' Neumann1-2/+2 2011-10-14Make the quotes in ProofGeneral to be nearly invisibleRené Neumann1-1/+1 2011-08-23Disable hightlighting of the domain in the FF urlbarRené Neumann1-0/+3 2011-08-12Enhance IE scriptRené Neumann1-6/+7 2011-08-11BlaRené 'Necoro' Neumann1-0/+2 2011-08-11Local fontsRené 'Necoro' Neumann1-13/+22 2011-08-11Better inconsolata thingsRené Neumann4-4/+13 2011-08-10Moved some functions to their own filesRené Neumann3-124/+120 2011-08-10More advanced IE scriptRené Neumann2-1/+74 2011-08-10Inconsolata also in emacsRené Neumann1-1/+1 2011-08-10Better vim fontsRené 'Necoro' Neumann1-1/+1 2011-08-09ooffice aliasRené Neumann1-0/+2 2011-08-09Update the needed hg-extensions.René Neumann1-1/+2 2011-06-08gtkrc stuff for Qt-Gtk-StyleRené 'Necoro' Neumann2-0/+8 2011-06-08Updated fonts.conf to work better on lcdsRené 'Necoro' Neumann1-17/+6